Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chrriis.dj.nativeswing.swtimpl
Class NativeInterfaceConfiguration

    java.lang.Object
      chrriis.dj.nativeswing.swtimpl.NativeInterfaceConfiguration

    public class NativeInterfaceConfiguration

extends Object

Configuration of the native interface. It is not constructed directly but obtained from the native interface.

Author:
  Christopher Deckers

Method Summary
`void` | `addNativeClassPathReferenceClasses(Class<?>... nativeClassPathReferenceClasses)` Set the reference classes that are considered to compute the classpath of the native side.
`void` | `addNativeClassPathReferenceResources(String... nativeClassPathReferenceResources)` Set the reference resources that are considered to compute the classpath of the native side.
`boolean` | `isNativeSideRespawnedOnError()` Indicate if the native side respawns on error.
`void` | `setNativeSideRespawnedOnError(boolean isNativeSideRespawnedOnError)` Set whether the native side respawns on error.
`void` | `setPeerVMParams(String... peerVMParams)` Set the parameters to add when creating the virtual machine for the native side.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setNativeSideRespawnedOnError

    public void setNativeSideRespawnedOnError(boolean isNativeSideRespawnedOnError)

  Set whether the native side respawns on error. The default is true.

  Parameters:
    `isNativeSideRespawnedOnError` - true if the native side should respawn in case of error, false otherwise.

### isNativeSideRespawnedOnError

    public boolean isNativeSideRespawnedOnError()

  Indicate if the native side respawns on error.

  Returns:
    true if the native side respawns on error.

### addNativeClassPathReferenceClasses

    public void addNativeClassPathReferenceClasses(Class<?>... nativeClassPathReferenceClasses)

  Set the reference classes that are considered to compute the classpath of the native side.

  Parameters:
    `nativeClassPathReferenceClasses` - the classes to use as references when computing the classpath of the native side.

### addNativeClassPathReferenceResources

    public void addNativeClassPathReferenceResources(String... nativeClassPathReferenceResources)

  Set the reference resources that are considered to compute the classpath of the native side.

  Parameters:
    `nativeClassPathReferenceResources` - the resources to use as references when computing the classpath of the native side.

### setPeerVMParams

    public void setPeerVMParams(String... peerVMParams)

  Set the parameters to add when creating the virtual machine for the native side.

  Parameters:
    `peerVMParams` - the parameters to add when creating the virtual machine for the native side.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD